menu 贺大礼(乱丶心)的博客
npm i --legacy-peer-deps
177 浏览 | 2024-06-14 | 阅读时间: 约 1 分钟 | 分类: 前端 | 标签:
请注意,本文编写于 35 天前,最后修改于 35 天前,其中某些信息可能已经过时。

安装依赖时候出现问题,无法生成node_modules。看网上办法是因为npm版本过高,高于7之后要求会更严格。

-legacy-peer-deps标志是在v7中引入的,目的是绕过peerDependency自动安装;它告诉 NPM 忽略项目中引入的各个modules之间的相同modules但不同版本的问题并继续安装。

npm -V可以查看npm的版本。

知识共享署名-非商业性使用-相同方式共享 4.0 国际许可协议

发表评论

email
web

全部评论 (暂无评论)

info 还没有任何评论,你来说两句呐!